@import "@styles/base/colors";
@import "@styles/base/typography.scss";

.input-container {
  width: 100%;
  height: 100%;
  max-height: 171px;
  display: flex;
  flex-direction: column;
  position: relative;
  background: $whiteColor;
  border: 1px solid $greyColor;
  border-radius: 10px;
  padding-top: 15px;
}

.input-label {
  @include font($fontGotham, 16px, 19.2px);
  color: $greyText !important;
  margin-bottom: 0;
  transition: all 0.3s;
  pointer-events: none;

  text-overflow: ellipsis;
  overflow: hidden;
  width: 90%;
  white-space: nowrap;
}

.error {
  margin: 0 !important;
  text-align: left;
  color: $errorColor;
}

.input,
textarea {
  width: 100%;
  border: none !important;
  @include font($fontGotham, 14px, 16.8px, 400);
  font-size: 14px !important;
  line-height: 16.8px !important;
  color: $blackColor !important;

  padding: 7px 25px !important;
  background-color: transparent !important;
  resize: none;

  &::placeholder {
    @include font($fontGothamLight, 14px, 16.8px, 400);
  }

  &:-webkit-autofill,
  &:-webkit-autofill:hover,
  &:-webkit-autofill:focus,
  &:-webkit-autofill:active {
    -webkit-box-shadow: 0 0 0 40px white inset !important;
  }

  &:focus,
  &:active {
    outline: none !important;
    box-shadow: none !important;
  }
}
